> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Instantiate Stack Profile Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/clusters/imported/{cluster_id}/stacks/from-profile
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/stacks/from-profile:
    post:
      tags:
        - Imported Clusters
      summary: Instantiate Stack Profile Endpoint
      operationId: >-
        instantiate_stack_profile_endpoint_api_v1_org_clusters_imported__cluster_id__stacks_from_profile_post
      parameters:
        - name: cluster_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Cluster Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-ankra-organisation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstantiateStackProfileRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstantiateStackProfileResult'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InstantiateStackProfileRequest:
      properties:
        profile_id:
          type: string
          format: uuid4
          title: Profile Id
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
        new_stack_name:
          anyOf:
            - type: string
            - type: 'null'
          title: New Stack Name
        parameters:
          items:
            $ref: '#/components/schemas/ParameterBinding'
          type: array
          title: Parameters
          default: []
        deploy:
          type: boolean
          title: Deploy
          default: false
      type: object
      required:
        - profile_id
      title: InstantiateStackProfileRequest
    InstantiateStackProfileResult:
      properties:
        draft_id:
          type: string
          format: uuid4
          title: Draft Id
        stack_name:
          type: string
          title: Stack Name
        profile_version:
          type: integer
          title: Profile Version
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          default: []
        addons_count:
          type: integer
          title: Addons Count
        manifests_count:
          type: integer
          title: Manifests Count
        deployed:
          type: boolean
          title: Deployed
          default: false
        operation_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Operation Id
        job_count:
          type: integer
          title: Job Count
          default: 0
      type: object
      required:
        - draft_id
        - stack_name
        - profile_version
        - addons_count
        - manifests_count
      title: InstantiateStackProfileResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ParameterBinding:
      properties:
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
      type: object
      required:
        - name
        - value
      title: ParameterBinding
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````